Bug 503131 - Xephyr crash on mouse click when running Maemo 4.1.2 scratchbox
Xephyr crash on mouse click when running Maemo 4.1.2 scratchbox
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 01:31 EDT by Hubert Figuiere
Modified: 2009-11-20 15:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 15:20:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/dmesg (38.64 KB, text/plain)
2009-05-30 17:15 EDT, Hubert Figuiere
no flags Details
/var/log/Xorg.0.log (80.59 KB, text/plain)
2009-05-30 17:16 EDT, Hubert Figuiere
no flags Details
proposed patch (805 bytes, patch)
2009-06-01 18:01 EDT, Matěj Cepl
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 21591 None None None Never

  None (edit)
Description Hubert Figuiere 2009-05-29 01:31:51 EDT
install scratchbox + Maemo SDK (N800)

login to scratchbox, select the intel target

In F11, start Xephyy as indicated by the manual:

 Xephyr :2 -host-cursor -screen 800x480x16 -dpi 96 -ac -extension Composite

Then in scratchbox start the session with

 af-sb-init.sh start

In the Xephyr window, click.

Xephyr crashes.

Here is the stack trace.

Program received signal SIGSEGV, Segmentation fault.
0x00000000 in ?? ()
(gdb) where
#0  0x00000000 in ?? ()
#1  0x08089940 in DeliverEventsToWindow (pDev=0x8302e78, pWin=0x83ce470, pEvents=0x833e618, count=2, filter=4, grab=0x0, mskidx=3) at events.c:2125
#2  0x0808a2e6 in DeliverDeviceEvents (pWin=0x83ce470, xE=0x833e618, grab=0x0, stopAt=0x0, dev=0x8302e78, count=2) at events.c:2366
#3  0x0818def5 in ProcessOtherEvent (xE=0x833e618, device=0x8302e78, count=2) at exevents.c:1081
#4  0x080eb659 in mieqProcessInputEvents () at mieq.c:474
#5  0x080c128d in ProcessInputEvents () at kinput.c:2350
#6  0x080ada00 in Dispatch () at dispatch.c:363
#7  0x080936e5 in main (argc=10, argv=0xbffff384, envp=0xbffff3b0) at main.c:397
(gdb) 


Does not really change if I start it with only

  Xephyr :2 -screen 800x480x16 -dpi 96 -ac
Comment 1 Hubert Figuiere 2009-05-29 01:33:17 EDT
It only crashes if I click on the sidebar widget actually.
Comment 2 Matěj Cepl 2009-05-30 15:56:57 EDT
Could we get /var/log/Xorg.0.log, /var/log/dmesg, and (if there is any) /etc/X11/xorg.conf when this happens, please?

Thank you very much
Comment 3 Hubert Figuiere 2009-05-30 17:14:26 EDT
no /etc/X11/xorg.conf

I'll attach the rest, even though I see nothing obvious. it is Xephyr that crashes, not the main Xorg
Comment 4 Hubert Figuiere 2009-05-30 17:15:36 EDT
Created attachment 345987 [details]
/var/log/dmesg
Comment 5 Hubert Figuiere 2009-05-30 17:16:14 EDT
Created attachment 345988 [details]
/var/log/Xorg.0.log
Comment 6 Matěj Cepl 2009-05-30 17:26:01 EDT
(In reply to comment #3)
> I'll attach the rest, even though I see nothing obvious. it is Xephyr that
> crashes, not the main Xorg  

yeah, there is probably nothing significant there, just to be sure we are not overlooking anything, and hopefully it is not much bother for you.
Comment 7 Hubert Figuiere 2009-06-01 16:10:42 EDT
I just proposed a patch to upstream bug as it is reproducable there.
Comment 8 Matěj Cepl 2009-06-01 18:01:37 EDT
Created attachment 346146 [details]
proposed patch

Just to be sure we have it here.
Comment 9 Hubert Figuiere 2009-06-01 21:24:51 EDT
marked as dupe upstream. and they have a better patch
Comment 10 Bug Zapper 2009-06-09 12:45:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Matěj Cepl 2009-11-05 13:30:11 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Hubert Figuiere 2009-11-18 02:33:05 EST
I no longer have the Maemo SDK to try
Also I know upstream had a fix they release.

So all in all, I highly suspect this bug has been fixed.
Comment 13 Adam Jackson 2009-11-20 15:20:59 EST
Closing WFM per comment #12.

Note You need to log in before you can comment on or make changes to this bug.